;
; basicwedge.asm - bank 3 part of basic extensions
;
; Written by
;  Kajtar Zsolt <soci@c64.rulez.org>
;
;    This file is part of IDEDOS the IDE64 disk operating system
;    See README for copyright notice.
;
;    This program is free software; you can redistribute it and/or modify
;    it under the terms of the GNU General Public License as published by
;    the Free Software Foundation; either version 2 of the License, or
;    (at your option) any later version.
;
;    This program is distributed in the hope that it will be useful,
;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;    GNU General Public License for more details.
;
;    You should have received a copy of the GNU General Public License
;    along with this program; if not, write to the Free Software
;    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
;

		#assert_cfg_16

mydoit		.proc
		beq emptycommand
		asl
		bcc nottoken
		cmp #$23+$23
		bcs overtat
		tay
		lda basic_keyw+1,y
		bpl hackedb
		pha
		lda basic_keyw,y
		pha
		jmp basexeccmd
hackedb		jmp hackedb2
overtat		jmp overt
nottoken	lsr
		ldx #$00
		stx $0c
		sta $45
		cmp #"a"
		bcc mymiscat
		cmp #1+"z"
		bcs mymiscat
		jmp basnottoken
mymiscat	jmp mymisc
emptycommand	jmp exit2basic

basic_keyw	.rta $A831,$A742,$AD1E,$A8F8;$80
		.rta $ABA5,$ABBF,$B081,$AC06;$84
		.rta $A9A5,$A8A0,$A871,1    ;$88
		.rta $A81D,$A883,$A8D2,$A93B;$8c
		.rta $A82F,$A94B,$B82D,1    ;$90
		.rta 1    ,1    ,1    ,$B824;$94
		.rta $AA80,$AAA0,$A857,$A69C;$98
		.rta $A65E,$AA86,1    ,1    ;$9c
		.rta 1    ,$AB7B,$A642
		.pend
